
Katello - Bug #4649

Repo Publishing: listing file is not always getting created

03/13/2014 01:32 PM - Brad Buckingham

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category: Repositories   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1093724 Red Hat JIRA:  

Pull request:    

Description

It appears that the 'listing' file is not getting created during the publish process for all repos.  This may be an issue in the 'clone'

distributor; however, it needs to be investigated.

The following is a scenario followed by the resulting tree layout for /var/lib/pulp/publish/https/repos/ACME_Corporation:

1. create a repo that points to a RHEL6.5 kickstart repo  (Note: same issue observed for non-kickstart repos)

2. sync the repo (creates: ACME_Corporation-rhel6_5-kickstart)

3. create a content view, add the above repo and publish a version (creates: ACME_Corporation-view2-1-rhel6_5-kickstart &

ACME_Corporation-Library-view2-rhel6_5-kickstart)

4. promote the content view to dev (creates: ACME_Corporation-rhel6_5-kickstart)

tree output: (observe 'listing' missing from: ACME_Corporation-view2-1-rhel6_5-kickstart,

ACME_Corporation-Library-view2-rhel6_5-kickstart & ACME_Corporation-rhel6_5-kickstart)

.

├── content_views

│   └── view2

│       └── 1

│           └── custom

│               └── rhel6_5

│                   └── kickstart ->

/var/lib/pulp/working/repos/ACME_Corporation-view2-1-rhel6_5-kickstart/distributors/yum_distributor

├── dev

│   └── view2

│       └── custom

│           └── rhel6_5

│               └── kickstart ->

/var/lib/pulp/working/repos/ACME_Corporation-dev-view2-rhel6_5-kickstart/distributors/yum_distributor

├── Library

│   ├── custom

│   │   ├── listing

│   │   └── rhel6_5

│   │       ├── kickstart -> /var/lib/pulp/working/repos/ACME_Corporation-rhel6_5-kickstart/distributors/yum_distributor

│   │       └── listing

│   ├── listing

│   └── view2

│       └── custom

│           └── rhel6_5

│               └── kickstart ->

/var/lib/pulp/working/repos/ACME_Corporation-Library-view2-rhel6_5-kickstart/distributors/yum_distributor

└── listing

19 directories, 4 files
#1 - 03/24/2014 07:55 PM - Mike McCune

- Status changed from New to Assigned

- Assignee set to Justin Sherrill

- Triaged set to Yes

#2 - 03/27/2014 03:06 PM - Justin Sherrill

- Status changed from Assigned to New

- Priority changed from Normal to Low

- Difficulty set to medium

Moving to low priority as this does not affect any current supported functionality

#3 - 05/02/2014 01:09 PM - Bryan Kearney

- Priority changed from Low to High

#4 - 05/02/2014 01:10 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1093724

#5 - 05/07/2014 09:17 PM - Justin Sherrill

- Status changed from New to Assigned

handling as part of the pulp 2.4 work

#6 - 06/06/2014 09:13 PM - Justin Sherrill

- Status changed from Assigned to Closed

resolved in pulp 2.4

#7 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
